package com.foobar.service;

import com.foobar.model.LoginHistory;

import javax.annotation.security.RolesAllowed;
import javax.ejb.Stateless;
import javax.persistence.EntityExistsException;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.TransactionRequiredException;
import java.util.logging.Logger;

@Stateless
@RolesAllowed("SYSTEM_ADMINISTRA")
public class LoginHistoryService
{
    @SuppressWarnings("NonSerializableFieldInSerializableClass")
    @PersistenceContext EntityManager em;

    public void create(LoginHistory loginHistory)
    {
        try
        {
            em.persist(loginHistory);
        }
        catch(EntityExistsException | IllegalArgumentException | TransactionRequiredException ex)
        {
            Logger.getLogger(this.getClass().getName()).severe("Error: " + ex.getMessage());
        }
    }
}